<?php
require_once OCS_APPLICATION_PATH
    . '/services/Optimization/Analyzer/Abstract/Base.php';

class Ocs_Service_Optimization_Analyzer_KeywordInMetaTagContent
    extends Ocs_Service_Optimization_Analyzer_Abstract_Base
{
    public function __invoke($name, $keyword=NULL, $contentType='head')
    {
        $value = $this->_parent
            ->getMetaTagContent($name, $contentType);

        return '' != $value && $this->_parent->analyzeKeywordInText($value, $keyword);
    }
}
